Python 2 
File
Edit
View
Insert
Cell
Kernel
Widgets
Help

.
### This repository is created for weekly sessions of Python scripting course at IASBS, Zanjan, I.R.Iran.
​
- **For a quick review please check the codes/workshop directory**
​
I also upload some videos and tutorials in my youtube and telegram channel which the requieing files are aploded here, please visit my Telegram channel [PyCpp_channel](https://t.me/s/pycpp_channel), [YouTube](https://www.youtube.com/channel/UCtoQTqZF2LzaN6T-qQlorFg), or [Aparat](https://www.aparat.com/video/video/listuser/view/list/dashboard/yes/list_type/all/username/ziaeemehr).
​
​
The texts are :
​
1. Numerical Python A Practical Techniques Approach for Industry, Robert Johansson
2. A Student's Guide to Python for Physical Modeling, Jesse M. Kinder & Philip Nelson
3. A Primer on Scientific Programming with Python-Hans Petter Langtangen 4th Ed.(2014)
4. Python Scripting for Computational Science - Hans Petter Langtangen 3rd Edition
​
The slides and codes are avalable from [here](http://hplgit.github.io/scipro-primer/) and [here](http://folk.uio.no/hpl/scripting/).
Also take a look at the [these Examples](http://hplgit.github.io/primer.html/doc/pub/class/._class-readable000.html#table_of_contents)
​

To install the required packages:

​
**Ubuntu & Debian**

​
sudo apt-get install python-numpy python-scipy python-matplotlib ipython ipython-notebook python-pandas python-sympy python-nose

​
Or install from anaconda:

​
**Windows, Mac and linux**
​
https://www.anaconda.com/download/
​
